/**
 * Credits
 */
body.page-template-credits {

    #header{
        background: $color__white;
    }

    h1{
        line-height: 1.3;
    }

    h1 b{
        position: relative;
        display: inline-block;

        &:after{
            content: "";
            background: url(assets/images/underline-decoration-yellow.svg) no-repeat;
            width: 63px;
            height: 8px;
            position: absolute;
            left: -11px;
            right: 0;
            bottom: -6px;
            margin: auto;
            display: block;
        }
    }

    .text-color__titles{
        color: #141925;
    }

    .background-color__black{
        background: #141925;
    }

    .text-color__yellow{
        color: #FFA800;
    }

    .background-color__yellow{
        background: #FFA800;
    }

    .banner-title .text-color__titles{
        vertical-align: super;
    }

    .banner-extra-text{
        padding: 20px 35px;
        background-color: #FFE4B0;
    }

    .banner-preimg{
        margin-left: 54px;
    }

    .banner-features{
        &>.row{
            justify-content: space-between;
        }

        .card{
            padding: 28px 16px;
            box-shadow: 0px 4px 12px rgba(47, 45, 91, 0.15);
            border-radius: 8px;
        }

        span{
            width: 36px;
            height: 36px;
            border-radius: 50%;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        h4{
            font-size: .95rem;
        }
    }

    .banner_alert{
        a{
            color: #fff;
            text-decoration: underline;
        }
    }

    .credits__form-section{
        margin-top: -24px;

        .wpforms-container{
            padding: 60px 50px;
        }

        h2{
            font-size: 1.625rem;
        }

        .credits__form-section-steps{
            margin-top: 4.5rem;
        }

        div.wpforms-container-full .wpforms-form .wpforms-field-label{
            text-align: left;
            font-weight: 400;
        }

        div.wpforms-container-full .wpforms-form .wpforms-field-radio .wpforms-field-label,
        div.wpforms-container-full .wpforms-form h4{
            color: #141925;
            font-size: 1.875rem;
            font-family: $font__secondary;
            max-width: 65%;
            margin: 0 auto 2rem;
            text-align: center;
            font-weight: 700;
        }

        div.wpforms-container-full .wpforms-form ul.wpforms-image-choices-modern label:not(.wpforms-error){
            background-color: #FFA800;
            border-radius: 6px;
            box-shadow: none;
            padding: 1rem;
            font-weight: 700;
            line-height: 1;
            vertical-align: middle;
            min-width: 170px;
            max-width: 100%;
            margin-left: 20px;
            margin-right: 20px;
            font-size: .875rem;

            span{
                margin-top: 0;
            }

            img{
                display: none;
            }
        }

        div.wpforms-container-full .wpforms-form ul.wpforms-image-choices-modern li.wpforms-selected label{
            background-color: #141925;
            color: #FFA800;
        }

        .wpforms-field-html ul.credits__requirements{
            li{
                list-style: none!important;
            }

            li+li{
                margin-top: .75rem !important;
            }

            .icon{
                width: 1.45rem;
                height: 1.45rem;
                line-height: 1.5rem;
                text-align: center;
                border-radius: 50%;
                margin-right: 1.25rem;
                border-radius: 50%;
                background: #FFA800;
                display: inline-block;

                i{
                    font-size: .75rem;
                }
            }

            h5{
                font-size: 1rem;
                font-weight: 400;
                font-family: $font__main;
                text-transform: none;
                display: inline-block;
            }
        }

        div.wpforms-container-full {

            input[type="text"],
            input[type="email"],
            input[type="number"],
            input[type="tel"],
            input[type="url"],
            input[type="phone"],
            input[type="password"],
            textarea,
            select {
                width: 100%;
                text-align: left;
                background: $color__white;
                color: #141925;
                border: 1px solid $color__grey--regent;
                box-sizing: border-box;
                box-shadow: inset 0px 3px 9px -3px rgba(34, 31, 93, 0.1);
                border-radius: 8px;
                max-width: 100%;

                &::placeholder {
                    color: $color__text;
                }
            }

            .wpforms-field.wpforms-field-select{
                position: relative;

                &:after{
                    position: absolute;
                    right: 1rem;
                    bottom: 1rem;
                    margin: auto;
                    content: "\f0d7";
                    font-weight: 900;
                    font-family: "Font Awesome 5 Free";
                }
            }

            .country-list {
                color: #141925;
            }

            input[type="radio"] + label,
            input[type="checkbox"] + label {
                cursor: pointer;
            }

            input[type="radio"]:checked + label:before,
            input[type="checkbox"]:checked + label:before {
                line-height: 11.5px;
                color: #141925;
                border-color: #141925;
            }

            input[type=checkbox],
            input[type=radio]{
                border-radius: 2px;
                transition: .4s ease;

                &:checked{
                    background: #ffa800;
                    border-color: #141925;
                }
            }

            .wpforms-form input[type=submit],
            .wpforms-form button[type=submit],
            .wpforms-form .wpforms-page-button,
            button,
            input[type="submit"], {
                background: #FFA800;
                border-color: #FFA800;
                border-radius: 4px;
                padding: 12px 24px;
                width: 100%;
                font-size: .875rem;
                font-weight: 700;
            }

            .wpforms-form input[type=submit],
            .wpforms-form button[type=submit],
            input[type="submit"]{
                width: 480px;
                margin: 0 auto;
                max-width: 100%;
            }

            a{
                color: #141925;
            }

            .wpforms-field.wpforms-field-checkbox{
                text-align: left;
            }

            .wpforms-form .wpforms-field.wpforms-field-pagebreak {
                margin-top: 32px;

                .wpforms-page-button,
                button{
                    width: 48%;
                    background: #fff;
                    border-color: #141925;
                    box-shadow: 0 4px 12px rgba(47,45,91,.05);
                }
            }

            .wpforms-page.last{
                width: 480px;
                margin: 0 auto;
                max-width:  100%;

                .wpforms-field.wpforms-field-pagebreak{
                    display: none;
                }
            }

            .wpforms-form .wpforms-page-indicator.circles{
                border: none;
                padding: 0;
                display: flex;
                justify-content: center;
                margin-bottom: 2rem;
            }

            .wpforms-form .wpforms-page-indicator.circles .wpforms-page-indicator-page-number{
                width: 18px;
                height: 18px;
                overflow: hidden;
                text-indent: 100%;
            }

            .wpforms-form .wpforms-pagebreak-center{
                display: flex;
                justify-content: space-between;
                margin-top: 16px;
            }

            .wpforms-field-html{
                width: 480px;
                margin: 0 auto;
                max-width: 100%;
                text-align: left;
            }

            .wpforms-field-html h4{
                text-align: left;
                margin-bottom: 20px;
                font-size: 1.5rem;
                max-width: 100%;
            }

            .wpforms-page-indicator {
                * {
                    text-align: center;
                }

                .wpforms-page-indicator-steps {
                    display: block;
                }

                .wpforms-page-indicator-page-progress-wrap {
                    height: 4px;
                    margin-top: 12px;
                    background: rgba(black,0.3);

                    .wpforms-page-indicator-page-progress {
                        background: $color__secondary !important;
                    }
                }
            }
        }
    }
}
